<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_gravity="center_vertical"
    android:background="@drawable/select_setting_border"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:textSize="20dp"
            android:textStyle="bold"
            android:textColor="@android:color/black"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:layout_gravity="center_vertical"
            android:id="@+id/name"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:singleLine="true"
            android:maxLength="62" />

        <TextView
            android:textSize="20dp"
            android:textColor="@android:color/darker_gray"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:layout_gravity="center_vertical"
            android:id="@+id/ip"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:singleLine="true"
            android:maxLength="100" />
    </LinearLayout>

    <LinearLayout
        android:layout_gravity="right|center_vertical|center_horizontal|center"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/print_remote_icon"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/print_remote" />

        <ImageView
            android:id="@+id/print_local_icon"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/print_local" />

        <ImageView
            android:id="@+id/active_icon"
            android:visibility="gone"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/selected" />
    </LinearLayout>
</FrameLayout>
